nn.pp.rccore

## Enum RCCore.ColorDepth

- java.lang.Object
- - java.lang.Enum<RCCore.ColorDepth>
  - - nn.pp.rccore.RCCore.ColorDepth

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RCCore.ColorDepth>
  Enclosing interface:
    RCCore

      public static enum RCCore.ColorDepth
      extends java.lang.Enum<RCCore.ColorDepth>

  Enumeration for pre-defined Color Depth values

  Different KX devices support different color depths for video encoding. KX2 supports 16 bit, 8 bit, 4 bit colors, 4 bit, 2 bit grey and b/w. KX3 supports 24 bit RGB colors for JPEG encodings and YCbCr 444, 433, 344, 333, 244, 233 colors, 4 bit, 3 bit, 2 bit greyscale for Low Bandwidth Encoding (`RCCore.Compression.LOW_BANDWIDTH_MODE`).

  See Also:
    `RCCore.getSupportedEncodingColorDepths()`, `VideoEventListener.supportedEncodingColorDepthsChanged(List)`, `RCCore.getEncodingColorDepth()`, `RCCore.setEncodingColorDepth(RCCore.ColorDepth, boolean)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BW_1_BIT` black/white (1 bit)
    `COLOR_16_BIT` 16 bit RGB color
    `COLOR_24_BIT` 24 bit RGB color
    `COLOR_32_BIT` 32 bit RGB color
    `COLOR_4_BIT` 4 bit color (palette based)
    `COLOR_8_BIT` 8 bit RGB color
    `GREY_2_BIT` 2 bit greyscale
    `GREY_3_BIT` 3 bit greyscale
    `GREY_4_BIT` 4 bit greyscale
    `GREY_5_BIT` 5 bit greyscale
    `GREY_6_BIT` 6 bit greyscale
    `GREY_7_BIT` 7 bit greyscale
    `GREY_8_BIT` 8 bit greyscale
    `SUB_YCBCR_233` YCbCr 233 (2 bits for Y, 3 bits Cb, 3 bits Cr)
    `SUB_YCBCR_244` YCbCr 244 (2 bits for Y, 4 bits Cb, 4 bits Cr)
    `SUB_YCBCR_333` YCbCr 333 (3 bits for Y, 3 bits Cb, 3 bits Cr)
    `SUB_YCBCR_344` YCbCr 344 (3 bits for Y, 4 bits Cb, 4 bits Cr)
    `SUB_YCBCR_433` YCbCr 444 (4 bits for Y, 3 bits Cb, 3 bits Cr)
    `SUB_YCBCR_444` YCbCr 444 (4 bits for Y, 4 bits Cb, 4 bits Cr)
    `SUB_YCBCR_533` YCbCr 533 (5 bits for Y, 3 bits Cb, 3 bits Cr)
    `SUB_YCBCR_544` YCbCr 544 (5 bits for Y, 4 bits Cb, 4 bits Cr)
    `SUB_YCBCR_555` YCbCr 555 (5 bits for Y, 5 bits Cb, 5 bits Cr)
    `SUB_YCBCR_633` YCbCr 633 (6 bits for Y, 3 bits Cb, 3 bits Cr)
    `SUB_YCBCR_644` YCbCr 644 (6 bits for Y, 4 bits Cb, 4 bits Cr)
    `SUB_YCBCR_655` YCbCr 655 (6 bits for Y, 5 bits Cb, 5 bits Cr)
    `SUB_YCBCR_666` YCbCr 666 (6 bits for Y, 6 bits Cb, 6 bits Cr)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RCCore.ColorDepth` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RCCore.ColorDepth[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COLOR_32_BIT

          public static final RCCore.ColorDepth COLOR_32_BIT

      32 bit RGB color

    - #### COLOR_24_BIT

          public static final RCCore.ColorDepth COLOR_24_BIT

      24 bit RGB color

    - #### COLOR_16_BIT

          public static final RCCore.ColorDepth COLOR_16_BIT

      16 bit RGB color

    - #### COLOR_8_BIT

          public static final RCCore.ColorDepth COLOR_8_BIT

      8 bit RGB color

    - #### COLOR_4_BIT

          public static final RCCore.ColorDepth COLOR_4_BIT

      4 bit color (palette based)

    - #### GREY_8_BIT

          public static final RCCore.ColorDepth GREY_8_BIT

      8 bit greyscale

    - #### GREY_7_BIT

          public static final RCCore.ColorDepth GREY_7_BIT

      7 bit greyscale

    - #### GREY_6_BIT

          public static final RCCore.ColorDepth GREY_6_BIT

      6 bit greyscale

    - #### GREY_5_BIT

          public static final RCCore.ColorDepth GREY_5_BIT

      5 bit greyscale

    - #### GREY_4_BIT

          public static final RCCore.ColorDepth GREY_4_BIT

      4 bit greyscale

    - #### GREY_3_BIT

          public static final RCCore.ColorDepth GREY_3_BIT

      3 bit greyscale

    - #### GREY_2_BIT

          public static final RCCore.ColorDepth GREY_2_BIT

      2 bit greyscale

    - #### BW_1_BIT

          public static final RCCore.ColorDepth BW_1_BIT

      black/white (1 bit)

    - #### SUB_YCBCR_666

          public static final RCCore.ColorDepth SUB_YCBCR_666

      YCbCr 666 (6 bits for Y, 6 bits Cb, 6 bits Cr)

    - #### SUB_YCBCR_655

          public static final RCCore.ColorDepth SUB_YCBCR_655

      YCbCr 655 (6 bits for Y, 5 bits Cb, 5 bits Cr)

    - #### SUB_YCBCR_644

          public static final RCCore.ColorDepth SUB_YCBCR_644

      YCbCr 644 (6 bits for Y, 4 bits Cb, 4 bits Cr)

    - #### SUB_YCBCR_633

          public static final RCCore.ColorDepth SUB_YCBCR_633

      YCbCr 633 (6 bits for Y, 3 bits Cb, 3 bits Cr)

    - #### SUB_YCBCR_555

          public static final RCCore.ColorDepth SUB_YCBCR_555

      YCbCr 555 (5 bits for Y, 5 bits Cb, 5 bits Cr)

    - #### SUB_YCBCR_544

          public static final RCCore.ColorDepth SUB_YCBCR_544

      YCbCr 544 (5 bits for Y, 4 bits Cb, 4 bits Cr)

    - #### SUB_YCBCR_533

          public static final RCCore.ColorDepth SUB_YCBCR_533

      YCbCr 533 (5 bits for Y, 3 bits Cb, 3 bits Cr)

    - #### SUB_YCBCR_444

          public static final RCCore.ColorDepth SUB_YCBCR_444

      YCbCr 444 (4 bits for Y, 4 bits Cb, 4 bits Cr)

    - #### SUB_YCBCR_433

          public static final RCCore.ColorDepth SUB_YCBCR_433

      YCbCr 444 (4 bits for Y, 3 bits Cb, 3 bits Cr)

    - #### SUB_YCBCR_344

          public static final RCCore.ColorDepth SUB_YCBCR_344

      YCbCr 344 (3 bits for Y, 4 bits Cb, 4 bits Cr)

    - #### SUB_YCBCR_333

          public static final RCCore.ColorDepth SUB_YCBCR_333

      YCbCr 333 (3 bits for Y, 3 bits Cb, 3 bits Cr)

    - #### SUB_YCBCR_244

          public static final RCCore.ColorDepth SUB_YCBCR_244

      YCbCr 244 (2 bits for Y, 4 bits Cb, 4 bits Cr)

    - #### SUB_YCBCR_233

          public static final RCCore.ColorDepth SUB_YCBCR_233

      YCbCr 233 (2 bits for Y, 3 bits Cb, 3 bits Cr)

  - ### Method Detail

    - #### values

          public static RCCore.ColorDepth[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RCCore.ColorDepth c : RCCore.ColorDepth.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RCCore.ColorDepth valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.